﻿using System;
using System.Collections.Generic;
using System.Linq;
using ThinkGeo.MapSuite.MapSuiteGeocoder;
using System.Text;

namespace ThinkGeoGIS_PoC.Forms
{
    public class ListItem
    {
        private MatchItem matchItem;
        private IEnumerable<string> keyList;

        public ListItem(MatchItem matchItem, IEnumerable<string> keyList)
        {
            this.matchItem = matchItem;
            this.keyList = keyList;
        }

        public MatchItem MatchItem
        {
            get { return matchItem; }
            set { matchItem = value; }
        }

        public override string ToString()
        {
            StringBuilder keyValuesBuilder = new StringBuilder();
            foreach (string item in keyList)
            {
                if (MatchItem.MatchPairs.Keys.Contains(item))
                {
                    string temp = MatchItem.MatchPairs[item].ToUpper();
                    if (!String.IsNullOrEmpty(temp) && temp != "NONE")
                        keyValuesBuilder.Append(string.Format("{0} ", temp));
                }
                
                // Original from sample
                //keyValuesBuilder.Append(string.Format("{0} ", MatchItem.MatchPairs[item]));
            }

            return keyValuesBuilder.ToString();
        }
    }
}
