﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeoGIS_PoC.Forms;

namespace ThinkGeoGIS_PoC
{
    public partial class Launcher : Form
    {
        #region Constructors

        public Launcher()
        {
            InitializeComponent();

            this.btnHelloWorld.Click += new EventHandler(btnHelloWorld_Click);
            this.btnZoomMapWithStreetDetail.Click += new EventHandler(btnZoomMapWithStreetDetail_Click);
            this.btnTIGER.Click += new EventHandler(btnTIGER_Click);
            this.btnDemo.Click += new EventHandler(btnDemo_Click);
            this.btnIntersect.Click += new EventHandler(btnIntersect_Click);
        }

        #endregion

        #region Events

        protected void btnIntersect_Click(object sender, EventArgs e)
        {
            using (IntersectionTesting itest = new IntersectionTesting())
            {
                itest.ShowDialog();
            }
        }

        protected void btnDemo_Click(object sender, EventArgs e)
        {
            using (EnterLocation el = new EnterLocation())
            {
                el.ShowDialog();
            }
        }

        protected void btnTIGER_Click(object sender, EventArgs e)
        {
            using (TIGERData td = new TIGERData())
            {
                td.ShowDialog();
            }
        }

        protected void btnHelloWorld_Click(object sender, EventArgs e)
        {
            using (HelloWorld hw = new HelloWorld())
            {
                hw.ShowDialog();
            }
        }

        protected void btnZoomMapWithStreetDetail_Click(object sender, EventArgs e)
        {
            using (ZoomMapWithStreetDetail zmwsd = new ZoomMapWithStreetDetail())
            {
                zmwsd.CountyFilter = txtCounty.Text;
                zmwsd.ShowDialog();
            }
        }

        #endregion
        
    }
}
